Ubuntu 16.04 ESM / 18.04 ESM / 20.04 LTS / 22.04 LTS / 23.10:Postfix 更新 (USN-6591-2)

medium Nessus Plugin ID 189851

概要

遠端 Ubuntu 主機缺少安全性更新。

說明

遠端 Ubuntu 16.04 ESM / 18.04 ESM / 20.04 LTS / 22.04 LTS / 23.10 主機上安裝的套件受到 USN-6591-2 公告中提及的一個弱點影響。

- Postfix 3.8.5 及其之前版本允許 SMTP 走私,除非以 smtpd_data_restrictions=reject_unauth_pipeiling 和 smtpd_discard_ehlo_keywords=chunking (或最新版本中提供的某些其他選項) 設定。遠端攻擊者可利用已發布的惡意利用技術,插入具有偽造 MAIL FROM 位址的電子郵件訊息,進而繞過 SPF 保護機制。這是因為 Postfix 支援 <LF>.<CR><LF>,而其他一些流行的電子郵件伺服器並非如此。為防止攻擊變體 (一律禁止沒有 <CR> 的 <LF>),需要使用不同的解決方案,例如 smtpd_forbid_bare_newline=yes 選項配搭最低版本為 3.5.23、3.6.13、3.7.9、3.8.4 或 3.9 的 Postfix。(CVE-2023-51764)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的套件。

另請參閱

https://ubuntu.com/security/notices/USN-6591-2

Plugin 詳細資訊

嚴重性: Medium

ID: 189851

檔案名稱: ubuntu_USN-6591-2.nasl

版本: 1.0

類型: local

代理程式: unix

已發布: 2024/1/31

已更新: 2024/1/31

支援的感應器: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

風險資訊

VPR

風險因素: Low

分數: 2.9

CVSS v2

風險因素: Medium

基本分數: 5

時間分數: 3.9

媒介: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

CVSS 評分資料來源: CVE-2023-51764

CVSS v3

風險因素: Medium

基本分數: 5.3

時間分數: 4.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/o:canonical:ubuntu_linux:23.10, p-cpe:/a:canonical:ubuntu_linux:postfix-mysql, cpe:/o:canonical:ubuntu_linux:20.04:-:lts, p-cpe:/a:canonical:ubuntu_linux:postfix-sqlite, p-cpe:/a:canonical:ubuntu_linux:postfix, p-cpe:/a:canonical:ubuntu_linux:postfix-lmdb, p-cpe:/a:canonical:ubuntu_linux:postfix-ldap, p-cpe:/a:canonical:ubuntu_linux:postfix-pgsql, cpe:/o:canonical:ubuntu_linux:18.04:-:esm, cpe:/o:canonical:ubuntu_linux:22.04:-:lts, p-cpe:/a:canonical:ubuntu_linux:postfix-dev, p-cpe:/a:canonical:ubuntu_linux:postfix-cdb, p-cpe:/a:canonical:ubuntu_linux:postfix-pcre, cpe:/o:canonical:ubuntu_linux:16.04:-:esm

必要的 KB 項目: Host/cpu, Host/Debian/dpkg-l, Host/Ubuntu, Host/Ubuntu/release

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2024/1/31

弱點發布日期: 2023/12/24

參考資訊

CVE: CVE-2023-51764

USN: 6591-2